canvas.signature-pad {
    touch-action: none;
    /* avoid gesture/ghost clicks */
    -ms-touch-action: none;
}

.contract_signature_container {
    position: relative;
}




.form_outer_container {
    background: #edf6ff;
}

input[type="file"].visually-hidden {
    display: none !important;
}

.progress {
    border-radius: 0px;
}

div#submitMessage {
    text-align: center;
    margin-bottom: 40px;
}

button#submitFormButton {
    font-size: 24px;
    width: 100%;
}

.hide_file_box {
    opacity: 0;
    position: absolute;
    width: 1px;
    height: 1px;
    pointer-events: none;
}

.signature_error {
    margin-top: 20px;
}

button#nextContract {
    width: 100%;
    margin-top: 40px;
}

.contract_signature_container {
    display: block;
}

.contract_signature_container label.form-label {
    display: block;
}

.clear-signature {
    display: block;
    width: 302px;
}


.form-check {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    grid-gap: 20px;
    margin-bottom: 20px;
    margin-top: 20px;
}

.document_scroller_box {
    background: #f5f5f5;
    padding: 15px;
    border: 1px solid #ddd;
    display: block;
    height: 250px;
    overflow-y: scroll;
    font-size: 14px;
    margin-bottom: 20px;
}

label.form-check-label {
    margin-bottom: 0px !important;
}

.form-check-input-lg {
    width: 2rem;
    height: 2rem;
}

.form-check-label {
    font-size: 1.25rem;
    /* bigger label text */
}


h3.toggle_group_heading {
    text-align: center;
    display: block;
    padding-top: 20px;
    padding-bottom: 40px;
}

.start_button {
    font-size: 22px;
    width: 100%;
}

.form_spacer_medium {
    border-bottom: 1px solid #dddddd;
    margin-top: 60px;
    margin-bottom: 60px;
    height: 1px;
}

.expiry_date_container {
    margin-top: 20px;
}

.documents_list li {
    margin-bottom: 20px;
}

.photo_btn:hover {
    cursor: pointer;
}


.other_job_container {
    margin-top: 20px;
}

.form_header {
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: center;
}

.btn-toggle {
    text-align: center;
}

.btn-toggle .btn {
    font-weight: 600;
    font-size: 20px;
    min-width: 300px;
}

.btn-toggle .btn.btn-outline-primary {
    color: #0095da;
    border-color: #0095da;
}

.btn-toggle .btn.btn-primary {
    color: white;
}

.btn-toggle label.btn.btn-outline-primary:hover {
    color: white;
}

.btn-toggle label.btn:hover img, .btn-toggle .btn-primary img {
    filter: brightness(0) invert(1);
}

img.form_btn_icon {
    display: block;
    max-width: 150px;
    margin-bottom: 20px;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

.step_btn_container {
    grid-gap: 40px;
}

.form_inner_container h2 {
    border-bottom: 1px solid #ddd;
    padding-bottom: 15px;
    margin-bottom: 40px;
    text-align: center;
}

.form_inner_container {
    background: white;
    margin-top: 0px !important;
    padding: 40px;
}

.step_btn_container button {
    width: 100%;
}

.step {
    display: none;
}

.step.active {
    display: block;
}

.form-section {
    margin-bottom: 30px;
}

.btn-option {
    width: 100%;
    margin-bottom: 10px;
}

/* Hide the actual radio buttons */
.btn-toggle input[type="radio"] {
    display: none;
}

.required_asterik {
    color: red;
}



/* Optional: make active button more distinct */
.btn-toggle .btn.active {
    background-color: #0d6efd;
    color: white;
}

.btn-primary {
    border-color: #0095da;
    background: #0095da;
    color: white;
}

.btn-outline-primary:hover {
    background: #0095da;
}

.form_inner_container label {
    font-weight: 600;
    margin-bottom: 10px;
}



/* Laptop Scaling */
@media only screen and (max-width: 1199px) and (min-width: 1025px) {
    div#step-3 .btn-toggle .btn {
        min-width: 250px;
        font-size: 18px;
        margin-right: 25px;
    }

    div#step-3 img.form_btn_icon {
        max-width: 100px;
    }
}

/* Above Tablet Styling */
@media only screen and (min-width: 1025px) {
    .form_outer_container {
        padding: 40px;
        min-height: 100vh;
    }
}

/* Tablet Only Styling */
@media only screen and (max-width: 1024px) and (min-width: 768px) {
    img.form_btn_icon {
        max-width: 80px;
    }

    .btn-toggle .btn {
        width: 100%;
        margin-right: 0px;
        margin-bottom: 20px;
    }

    .form_outer_container {
        padding: 20px;
    }
}

/* Desktop Only Styling */
@media only screen and (min-width: 768px) {

    /* Add spacing between buttons */
    .btn-toggle .btn {
        margin-right: 30px;
        /* Adjust gap as needed */
    }

    .step_btn_container {
        margin-top: 60px !important;
    }


}

/* Mobile Only Styling */
@media only screen and (max-width: 767px) {


    div#step-0 p, div#step-0 ul li {
        font-size: 14px;
        line-height: 1.5;
    }

    .form_inner_container h2 {
        margin-bottom: 20px !important;
    }

    .form_inner_container {
        max-width: 100%;
    }

    .document_scroller_box {
        height: 200px;
    }

    .contract_signature_container label.form-label {
        font-size: 14px;
    }

    .form_inner_container {
        padding: 40px 20px;
    }

    img.form_btn_icon {
        max-width: 64px;
    }

    h3.toggle_group_heading {
        padding-bottom: 20px;
    }

    .btn-toggle .btn {
        margin-bottom: 20px;
    }

    .dob_row .col-md-4 {
        width: 33.33%;
    }

    .form-section .col-md-6:first-of-type {
        margin-bottom: 20px;
    }

    .form-section {
        margin-bottom: 20px;
    }



    .step_btn_container {
        margin-top: 40px !important;
    }

}